End a participation
DELETE
/api/v1/participations/{participationId}
const url = 'https://app.avera.io/api/v1/participations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'DELETE', headers: {'Content-Type': 'application/json'}, body: '{"reason":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://app.avera.io/api/v1/participations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "reason": "example" }'Moves the participation to ENDED, removing a member or external collaborator. The participation is resolved in the tenant the caller is currently acting in. Tenant-admin gated.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”participationId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
reason
required
string
Example generated
{ "reason": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
tenantId
required
string format: uuid
tenantName
string | null
tenantSlug
string | null
userId
required
string format: uuid
scope
required
string
roles
required
Array<string>
publicDisplayName
required
string
status
required
string
startDate
required
string format: date-time
endDate
string | null format: date-time
acceptedAt
string | null format: date-time
invitationReason
string | null
agreementRef
string | null
createdAt
required
string format: date-time